is_nan
log10
Math Functions
PHP Manual

# lcg_value

(PHP 4, PHP 5)

lcg_value — Combined linear congruential generator

### Description

float lcg_value ( void )

lcg_value() returns a pseudo random number in the range of (0, 1). The function combines two CGs with periods of 2^31 - 85 and 2^31 - 249. The period of this function is equal to the product of both primes.

### Return Values

A pseudo random float value in the range of (0, 1)

### See Also

- rand()
- mt_rand()

is_nan
log10
Math Functions
PHP Manual